Mailinglist Archive: radeonhd (698 mails)

< Previous Next >
[radeonhd] Re: [ANNOUNCE] xf86-video-radeonhd 1.0.0 - INITIAL RELEASE (fwd)
  • From: Matthias Hopf <mhopf@xxxxxxx>
  • Date: Fri, 30 Nov 2007 17:03:12 +0100
  • Message-id: <20071130160312.GE6950@xxxxxxx>
Ndim + Luc, you might want to look into that.

Juan, was this patch necessary for you to get the connector table right?
Because we only want to add cards in this table that have a broken one.

Matthias

--
Matthias Hopf <mhopf@xxxxxxx> __ __ __
Maxfeldstr. 5 / 90409 Nuernberg (_ | | (_ |__ mat@xxxxxxxxx
Phone +49-911-74053-715 __) |_| __) |__ R & D www.mshopf.de
--- Begin Message ---
  • From: Joerg Sonnenberger <joerg@xxxxxxxxxxxxxxxxx>
  • Date: Fri, 30 Nov 2007 13:01:00 +0100
  • Message-id: <20071130120100.GA17994@xxxxxxxxxxxxxxxxx>
On Fri, Nov 30, 2007 at 02:18:06AM +0100, Matthias Hopf wrote:
This is the first release of the xf86-video-radeonhd driver.

Two small patches from pkgsrc. The first is from Juan Romero Pardines
(xtraeme@xxxxxxxxxx), the second is supposed to fix some quoting issues.
Without it at least NetBSD's ash bails out.

Joerg

$NetBSD$

--- src/rhd_id.c.orig 2007-11-30 01:26:01.000000000 +0100
+++ src/rhd_id.c
@@ -583,6 +583,7 @@ rhdCards[] =
/* 0x9587 : RV630 : ATI Radeon HD 2600 Pro AGP */
/* 0x9588 : RV630 : Radeon HD 2600 XT */
{ 0x9588, 0x1002, 0x2542, "ATI Radeon HD 2600XT DDR4", RHD_CARD_FLAG_NONE,
DVI_BA10_DVI_AB01 },
+ { 0x9588, 0x1448, 0x216C, "Gigabyte HD 2600 XT 256MB DDR3",
RHD_CARD_FLAG_NONE, DVI_BA10_DVI_AB01 },
{ 0x9588, 0x174B, 0x2E42, "Sapphire HD 2600 XT", RHD_CARD_FLAG_NONE,
DVI_BA10_DVI_AB01 },
/* 0x9589 : RV630 : Radeon HD 2600 Pro */
{ 0x9589, 0x174B, 0xE410, "Sapphire HD 2600 Pro", RHD_CARD_FLAG_NONE,
DVI_BA10_DVI_AB01 },

$NetBSD$

--- git_version.sh.orig 2007-11-26 18:41:35.000000000 +0100
+++ git_version.sh
@@ -136,7 +136,7 @@ unset git_errors ||:
if [ "x$git_found" = "xyes" ]; then
git_version=`git --version`
if [ "x$git_version" = "x" ]; then
- git_errors="${git_errors+"${git_errors}; "}error running 'git
--version'"
+ git_errors="${git_errors+${git_errors}; }error running 'git --version'"
fi
fi

@@ -148,7 +148,7 @@ if [ "x$(git-rev-parse --git-dir 2> /dev
# git-1.4 and probably earlier understand "git-rev-parse HEAD"
git_shaid=`git-rev-parse HEAD | $SED -n 's/^\(.\{8\}\).*/\1/p'`
if [ "x$git_shaid" = "x" ]; then
- git_errors="${git_errors+"${git_errors}; "}error running
'git-rev-parse HEAD'"
+ git_errors="${git_errors+${git_errors}; }error running
'git-rev-parse HEAD'"
fi
# git-1.4 and probably earlier understand "git-symbolic-ref HEAD"
git_branch=`git-symbolic-ref HEAD | $SED -n 's|^refs/heads/||p'`


--- End Message ---
< Previous Next >
This Thread
Follow Ups